/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */


package com.vektorsoft.demux.samples.extension;

import com.vektorsoft.demux.core.annotations.DMXControllerDeclaration;
import com.vektorsoft.demux.core.annotations.DMXModelData;
import com.vektorsoft.demux.core.extension.DMXExtendable;
import com.vektorsoft.demux.core.extension.DMXExtensionCallback;

/**
 *
 * @author Vladimir Djurovic
 */
@DMXControllerDeclaration (mapping = "extController")
public class ExtendableController implements DMXExtendable {
    
    @DMXModelData
    private boolean status = true;
    
//    @DMXModelData
//    private int random;
    
    private SimpleCallback callback;

    @DMXControllerDeclaration.Exec
    public void execute(String param){
        status = !status;
        if(callback != null){
            callback.doRandom();
        }
    }

    @Override
    public void setExtensionCallback(DMXExtensionCallback callback) {
        this.callback = (SimpleCallback)callback;
    }

    @Override
    public String getCallbackClassName() {
        return SimpleCallback.class.getName();
    }

    @Override
    public DMXExtensionCallback getExtensionCallback() {
        return callback;
    }
    
    public boolean getStatus(){
      return status;
    }
    
    public void setStatus(boolean status){
      this.status = status;
    }

}
