/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */


package com.vektorsoft.demux.samples.extension.jfx;

import com.vektorsoft.demux.core.app.DMXAdapterTrackerHandler;
import com.vektorsoft.demux.core.mva.DMXAdapter;
import com.vektorsoft.demux.core.resources.ResourceHandlerType;
import com.vektorsoft.demux.core.resources.impl.DefaultResourceHandler;

/**
 *
 * @author Vladimir Djurovic
 */
public class SampleTrackerHandler extends DMXAdapterTrackerHandler {

    @Override
    public void onAdapterAdded(DMXAdapter adapter) {
        System.out.println("JFX module customizer - add");
         DefaultResourceHandler handler = adapter.getResourceManager().getResourceHandler(ResourceHandlerType.RESOURCE_BUNDLE);
        handler.loadResourceBundle("strings", getClass().getClassLoader());
         System.out.println("Loaded resource bundle.");
        // register views and controllers here
        adapter.registerView(ExtendableView.class);
        System.out.println("Registered extendable view");
    }

    @Override
    public void onAdapterModified(DMXAdapter adapter) {
        System.out.println("JFX module customizer - modify");
    }

    @Override
    public void onAdapterRemoved(DMXAdapter adapter) {
        System.out.println("JFX module customizer - remove");
    }

}
