/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */


package com.vektorsoft.demux.samples;

import com.vektorsoft.demux.core.mva.DMXView;
import com.vektorsoft.demux.desktop.jfx.view.JFXRootView;
import java.util.Collections;
import java.util.Map;
import java.util.Set;
import javafx.scene.Node;
import javafx.scene.layout.BorderPane;
import javafx.scene.text.Text;

/**
 *
 * @author Vladimir Djurovic
 */
public class MainView implements DMXView {
    
    private BorderPane borderPane;
    
    public MainView(){
        
    }

    @Override
    public void render() {
        
    }
    
    @Override
    public void constructUI(){
        borderPane = new BorderPane();
        Text text = new Text("This is main view");
        borderPane.setCenter(text);
    }

    @Override
    public String getViewId() {
        return MainView.class.getName();
    }

    @Override
    public String getParentViewId() {
        return JFXRootView.JFX_ROOT_VIEW_ID;
    }

    @Override
    public Object viewPlacementConstraint() {
        return null;
    }

    @Override
    public void addChildView(DMXView child) {
        // find constrain defined for this view
        Object constraint = child.viewPlacementConstraint();
        if(constraint != null && constraint.toString().equals("south")){
            borderPane.setBottom((Node)child.getViewUI());
        } else if(constraint != null && constraint.toString().equals("east")){
            borderPane.setRight((Node)child.getViewUI());
        } else if(constraint != null && constraint.toString().equals("north")){
	   borderPane.setTop((Node)child.getViewUI());
        }
    }

    @Override
    public Set<String> getViewDataIds() {
        return Collections.EMPTY_SET;
    }

    @Override
    public void updateFromModel(Map<String, Object> dataMap) {
        
    }

    @Override
    public Object getViewUI() {
        return borderPane;
    }
    
    @Override
    public void setViewActive(String id, boolean state){
    
    }

}
