/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */


package com.vektorsoft.demux.samples.task;

import com.vektorsoft.demux.core.mva.DMXAbstractController;
import com.vektorsoft.demux.core.mva.ExecutionException;
import java.util.Map;

/**
 *
 * @author Vladimir Djurovic
 */
public class LongRunningController extends DMXAbstractController {
    
    private float progress = 0f;

    @Override
    protected void updateDataMapFromFields() {
        dataMap.put("taskProgress", progress);
    }

    @Override
    public void updateFromModel(Map<String, Object> modelData) {
        progress = (Float)dataMap.get("taskProgress");
    }

    @Override
    public void execute(Object... params) throws ExecutionException {
        // run for 10 seconds,  increasin progress each second
        progress = 0;
        updateDataMapFromFields();
        notifyDataChanged(dataMap);
        for(int i = 0;i < 11;i++){
            System.out.println("progress=" + progress);
            try{
                Thread.sleep(1000);
            } catch(InterruptedException ex){
                throw new RuntimeException(ex);
            }
            progress += 0.1f;
            updateDataMapFromFields();
            notifyDataChanged(dataMap);
        }
    }

}
