/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */


package com.vektorsoft.demux.samples.task;

import com.vektorsoft.demux.core.mva.DMXAbstractController;
import com.vektorsoft.demux.core.mva.ExecutionException;
import com.vektorsoft.demux.core.task.GUIBlockingScope;
import java.util.Map;

/**
 *
 * @author Vladimir Djurovic
 */
public class ScopeChoiceController extends DMXAbstractController {
    
    private GUIBlockingScope scope = GUIBlockingScope.NONE;

    @Override
    public String getMapping() {
        return "choiceController";
    }

    @Override
    protected void updateDataMapFromFields() {
        dataMap.put("blockScope", scope);
    }

    @Override
    public void updateFromModel(Map<String, Object> modelData) {
        scope = (GUIBlockingScope)dataMap.get("blockScope");
    }

    @Override
    public void execute(Object... params) throws ExecutionException {
        scope = (GUIBlockingScope)params[0];
        System.out.println("Set block scope to " + scope);
    }

}
