/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */


package com.vektorsoft.demux.samples.props;

import com.vektorsoft.demux.core.mva.DMXAbstractController;
import com.vektorsoft.demux.core.mva.ExecutionException;
import java.util.Map;

/**
 *
 * @author Vladimir Djurovic
 */
public class ClickController extends DMXAbstractController{
    
    private boolean bindVal;

    @Override
    public String getMapping() {
        return "clickHandler";
    }

    @Override
    protected void updateDataMapFromFields() {
        dataMap.put("bindVarName", bindVal);
    }

    @Override
    public void updateFromModel(Map<String, Object> modelData) {
        bindVal = (Boolean)modelData.get("bindVarName");
    }

    @Override
    public void execute(Object... params) throws ExecutionException {
        System.out.println("Invoking click controller, variable value " + bindVal);
    }

}
